import type { Query } from "react-query/types";
import type { Theme } from "./useTheme";
export declare enum Position {
    TR = "top-right",
    TL = "top-left",
    BR = "bottom-right",
    BL = "bottom-left"
}
export declare function isStale(query: Query): boolean;
export declare function getQueryStatusColor(query: Query, theme: Theme): string;
export declare function getQueryStatusLabel(query: Query): string;
export declare const getStatusRank: (query: Query) => number;
export declare type SortFn = (a: Query, b: Query) => number;
export declare const sortFns: Record<string, SortFn>;
